Kwalitee Issues

has_changelog

Add a Changelog (best named 'Changes') to the distribution. It should list at least major changes implemented in newer versions.

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

main_module_version_matches_dist_version

Fix the version(s).

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (43) does not match dist (53):
  • Missing in MANIFEST: .gitignore, MANIFEST, Makefile.PL, README, README.pod, ToDo.txt, cgi/yote.cgi, data/SQLite.yote.db, html/hello.html, html/hello_test.html, html/index.html, html/login_test.html, html/obj_explore.html, html/reset.html, html/t.html, html/unit_tests.html, install, javascript/jquery-latest.js, javascript/jquery.base64.min.js, javascript/jquery.dumper.js, javascript/jquery.jsonp-2.1.4.min.js, javascript/json2.js, javascript/yote.js, javascript/yote.util.js, lib/Yote.pm, lib/Yote/AppRoot.pm, lib/Yote/Array.pm, lib/Yote/Cache.pm, lib/Yote/ClientObj.pm, lib/Yote/Hash.pm, lib/Yote/MysqlIO.pm, lib/Yote/Obj.pm, lib/Yote/ObjProvider.pm, lib/Yote/SQLiteIO.pm, lib/Yote/Test/DummyCache.pm, lib/Yote/Test/Hello.pm, lib/Yote/Test/TestAppNeedsLogin.pm, lib/Yote/Test/TestAppNoLogin.pm, lib/Yote/Test/TestDeepCloner.pm, lib/Yote/Test/TestNoDeepCloner.pm, lib/Yote/WebAppServer.pm, sample/hello.html, sample/hello_test.html, sample/index.html, sample/login_test.html, sample/reset.html, sample/t.html, sample/unit_tests.html, sample/unit_tests.html.TMPL, script/yote_server.PL, t/docs.t, t/sqlite.t, tasklog
  • Missing in Dist: ./MANIFEST, ./Makefile.PL, ./README, ./README.pod, ./ToDo.txt, ./cgi/yote.cgi, ./data/SQLite.yote.db, ./install, ./javascript/jquery-latest.js, ./javascript/jquery.base64.min.js, ./javascript/jquery.dumper.js, ./javascript/jquery.jsonp-2.1.4.min.js, ./javascript/json2.js, ./javascript/yote.js, ./javascript/yote.util.js, ./lib/Yote.pm, ./lib/Yote/AppRoot.pm, ./lib/Yote/Array.pm, ./lib/Yote/Cache.pm, ./lib/Yote/ClientObj.pm, ./lib/Yote/Hash.pm, ./lib/Yote/MysqlIO.pm, ./lib/Yote/Obj.pm, ./lib/Yote/ObjProvider.pm, ./lib/Yote/SQLiteIO.pm, ./lib/Yote/Test/DummyCache.pm, ./lib/Yote/Test/Hello.pm, ./lib/Yote/Test/TestAppNeedsLogin.pm, ./lib/Yote/Test/TestAppNoLogin.pm, ./lib/Yote/WebAppServer.pm, ./sample/hello.html, ./sample/hello_test.html, ./sample/index.html, ./sample/login_test.html, ./sample/reset.html, ./sample/t.html, ./sample/unit_tests.html, ./sample/unit_tests.html.TMPL, ./script/yote_server, ./script/yote_server.PL, ./t/docs.t, ./t/sqlite.t, ./tasklog

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Crypt::Passwd
  • DBI
  • Email::Valid
  • HTTP::Request::Params
  • JSON
  • MIME::Lite
  • Net::Server::Fork
  • WeakRef
  • feature
  • forks
  • forks::shared

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Yote, Yote::Test::TestDeepCloner, Yote::Test::TestNoDeepCloner

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.01,0.05

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Yote, Yote::AppRoot, Yote::Array, Yote::Cache, Yote::ClientObj, Yote::Hash, Yote::MysqlIO, Yote::Obj, Yote::ObjProvider, Yote::SQLiteIO, Yote::Test::DummyCache, Yote::Test::Hello, Yote::Test::TestAppNeedsLogin, Yote::Test::TestAppNoLogin, Yote::Test::TestDeepCloner, Yote::Test::TestNoDeepCloner, Yote::WebAppServer

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Test::Pod

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
Yote a placeholder class for the packages below Yote. 0.05 metacpan
Yote::AppRoot Application Server Base Objects 0.01 metacpan
Yote::Array All arrays in the Yote system get tied to this class. 0.01 metacpan
Yote::Cache metacpan
Yote::ClientObj 0.01 metacpan
Yote::Hash All hashes in the Yote system get tied to this class. 0.01 metacpan
Yote::MysqlIO A mysql persistance engine for Yote. 0.01 metacpan
Yote::Obj Base class for all persistant Yote objects. 0.01 metacpan
Yote::ObjProvider Serves Yote objects. Configured to a persistance engine. 0.01 metacpan
Yote::SQLiteIO A SQLite persistance engine for Yote. 0.01 metacpan
Yote::Test::DummyCache metacpan
Yote::Test::Hello 0.01 metacpan
Yote::Test::TestAppNeedsLogin 0.01 metacpan
Yote::Test::TestAppNoLogin 0.01 metacpan

Other Files

MANIFEST metacpan
Makefile.PL metacpan
README metacpan
README.pod metacpan